Stable releases - Tasks #51268

Nautilus v14.2.22
06/17/2021 04:00 PM - Yuri Weinstein

Status: New % Done: 0%
Priority: Normal
Assignee:

Category:

Target version:

Tags: Affected Versions: v14.2.22

Reviewed: Pull request ID:

Description
Workflow

e Preparing the release TBD
e Cutting the release
o Abhishek/Yuri gets approval from all leads
= Casey, rgw - TBD
= Patrick, fs - TBD
= Jason, rbd - TBD
= Neha, rados - TBD
o Abhishek informs Yuri that the branch is ready for testing - shat:
Current SHA1: see in note below
o Yuri runs additional integration tests - TBD
o Yuri preps a release notes PR TBD
= |If Yuri discovers new bugs that need to be backported urgently (i.e. their priority is set to Urgent or Immediate), the
release goes back to being prepared; it was not ready after all
o Yuri informs Sage, David that the branch is ready for release - TBD
o Someone creates the packages and sets the release tag - TBD
o Someone writes and commits the release notes - TBD
o Someone sends out release announcement email - TBD
o Someone posts release announcement on hitps://ceph.com/community/blog - TBD

Release information

e branch to build from: nautilus, commit:

e version: v14.2.22

¢ type of release: point release

¢ where to publish the release: http://download.ceph.com/

History

#1 - 06/17/2021 08:01 PM - Yuri Weinstein
QE VALIDATION (6/18/21)

PRs list => https://pad.ceph.com/p/nautilus_v14.2.22 QE_PRs_LIST

134 PRs in this point release

Release Notes https://github.com/ceph/ceph/pull/41958

See details of approvals => https://lists.ceph.io/hyperkitty/list/dev@ceph.io/message/CMESQCSZCRZPNY7XL4PRNCR35BGB2P20/

(Note: PASSED / FAILED - indicates "TEST IS IN PROGRESS")

re-runs command lines and filters are captured in https:/pad.ceph.com/p/nautilus_v14.2.22_QE_validation_notes

command line =>
CEPH_QA_MAIL="ceph-ga@lists.ceph.com"; MACHINE_NAME=smithi; CEPH_BRANCH=nautilus;

latest
SHA1=22¢2801c1bdab3cbcc2e006d68534e1574886¢c4¢e
http://ceph.com/docs/master/dev/development-workflow/#preparing-a-new-release
http://ceph.com/docs/master/dev/development-workflow/#cutting-a-new-stable-release
https://ceph.com/community/blog
http://download.ceph.com/
https://pad.ceph.com/p/nautilus_v14.2.22_QE_PRs_LIST
https://github.com/ceph/ceph/pull/41958
https://lists.ceph.io/hyperkitty/list/dev@ceph.io/message/CMESQCSZCRZPNY7XL4PRNCR35BGB2P2O/
https://pad.ceph.com/p/nautilus_v14.2.22_QE_validation_notes
mailto:ceph-qa@lists.ceph.com

old

SHA1=406a6d1d612dab3e9944852882b0070cf6c1€913

PRs merged on top
https://github.com/ceph/ceph/pull/41792

blocker PRs fixed

New issues:

Suite Runs/Reruns Notes/Issues

smoke https://pulpito.ceph.com/yuriw-2021-06-17_20:1 | PASSED
7:25-smoke-nautilus-distro-basic-smithi

rados https://pulpito.ceph.com/yuriw-2021-06-17_20:1 | PASSED
9:28-rados-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:1
6:06-rados-nautilus-distro-basic-smithi

rgw https://pulpito.ceph.com/yuriw-2021-06-17_20:2 | FAILED Casey approved
6:40-rgw-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:1
7:11-rgw-nautilus-distro-basic-smithi

rbd https://pulpito.ceph.com/yuriw-2021-06-17_20:2 | PASSED / FAILED llya approved
7:45-rbd-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_15:4 | run on the latest SHA1
5:39-rbd-nautilus-distro-basic-smithi
http://pulpito.front.sepia.ceph.com:80/yuriw-202
1-06-22_15:18:36-rbd-nautilus-distro-basic-smit
hi/

krbd https://pulpito.ceph.com/yuriw-2021-06-18_15:1 | PASSED / FAILED llya approved
5:05-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-21_19:2
0:44-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-22_18:0 | full rerun
8:28-krbd-nautilus-testing-basic-smithi/

fs https://pulpito.ceph.com/yuriw-2021-06-18_15:2 | PASSED / FAILED Patrick, Ramana
0:52-fs-nautilus-distro-basic-smithi/ approved
https://pulpito.ceph.com/yuriw-2021-06-21_15:4
6:27-fs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-22_15:2 |rerun on latest shat
1:45-fs-nautilus-testing-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-23_15:4 | rerun on latest shat

:44-fs-nautilus-distro-basic-smithi

kcephfs https://pulpito.ceph.com/yuriw-2021-06-18_15:2 | FAILED Patrick, Ramana approved
8:03-kcephfs-nautilus-distro-basic-smithi

multimds https://pulpito.ceph.com/yuriw-2021-06-18_15:2 | FAILED Patrick, Ramana approved
9:20-multimds-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:2
https://github.com/ceph/ceph/pull/41792
https://pulpito.ceph.com/yuriw-2021-06-17_20:17:25-smoke-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:17:25-smoke-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:19:28-rados-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:19:28-rados-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:16:06-rados-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:16:06-rados-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:26:40-rgw-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:26:40-rgw-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:17:11-rgw-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:17:11-rgw-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:27:45-rbd-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-17_20:27:45-rbd-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_15:45:39-rbd-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_15:45:39-rbd-nautilus-distro-basic-smithi
http://pulpito.front.sepia.ceph.com:80/yuriw-2021-06-22_15:18:36-rbd-nautilus-distro-basic-smithi/
http://pulpito.front.sepia.ceph.com:80/yuriw-2021-06-22_15:18:36-rbd-nautilus-distro-basic-smithi/
http://pulpito.front.sepia.ceph.com:80/yuriw-2021-06-22_15:18:36-rbd-nautilus-distro-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-18_15:15:05-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-18_15:15:05-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-21_19:20:44-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-21_19:20:44-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-22_18:08:28-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-22_18:08:28-krbd-nautilus-testing-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-18_15:20:52-fs-nautilus-distro-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-18_15:20:52-fs-nautilus-distro-basic-smithi/
https://pulpito.ceph.com/yuriw-2021-06-21_15:46:27-fs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_15:46:27-fs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-22_15:21:45-fs-nautilus-testing-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-22_15:21:45-fs-nautilus-testing-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-23_15:46:44-fs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-23_15:46:44-fs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:28:03-kcephfs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:28:03-kcephfs-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:29:20-multimds-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:29:20-multimds-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:22:02-multimds-nautilus-distro-basic-smithi

2:02-multimds-nautilus-distro-basic-smithi

ceph-deploy

https://pulpito.ceph.com/yuriw-2021-06-18_15:3

:24-ceph-deploy-nautilus-distro-

FAILED Josh approved

upgrade/client-upgrade-jewel-nautilus (nautilus)

https://pulpito.ceph.com/teuthology-2021-06-18
_15:41:45-upgrade:client-upgrade-jewel-nautilu
-nautilus-distro-basic-gi

PASSED (rhel 7.6 excluding) Josh, Neha
approved

https://pulpito.ceph.com/teuthology-2021-06-22
_16:11:44-upgrade:client-upgrade-jewel-nautilu
s-nautilus-distro-basic-smithi

upgrade/client-upgrade-mimic (nautilus)

https://pulpito.ceph.com/teuthology-2021-06-18
_15:42:20-upgrade:client-upgrade-mimic-nautil

us-distro-basic-gibba

PASSED (rhel 7.6 excluding) Josh, Neha
approved

https://pulpito.ceph.com/teuthology-2021-06-22
_16:12:14-upgrade:client-upgrade-mimic-nautil
-distro-basic-smithi

upgrade/client-upgrade-luminous-nautilus
(nautilus)

https://pulpito.ceph.com/teuthology-2021-06-18
_15:48:14-upgrade:client-upgrade-luminous-na
utilus-nautilus-distro-basic-gibba

PASSED

https://pulpito.ceph.com hology-2021-06-22
_15:37:17-upgrade:client-upgrade-luminous-na
utilus-nautilus-distro-basic-smithi

upgrade/client-upgrade-nautilus-octopus-octop
us (octopus)

https://pulpito.ceph.com/teuthology-2021-06-21
19:28:41-upgrade-clients:client-upgrade-nautil
-distro-basic-gi

PASSED

https://pulpito.ceph.com/teuthology-2021-06-22
_15:38:30-upgrade-clients:client-upgrade-nautil
us-octopus-octopus-distro-basic-smithi

upgrade/nautilus-p2p

https://pulpito.ceph.com/teuthology-2021-06-18
_15:51:34-upgrade:nautilus-p2p-nautilus-distro-
basic-smithi

PASSED

powercycle

https://pulpito.ceph.com/yuriw-2021-06-18_15:5
3:52-powercycle-nautilus-distro-basic-smithi

PASSED

ceph-ansible

https://pulpito.ceph.com/yuriw-2021-06-18_15:5
6:07-ceph-ansible-nautilus-distro-basic-smithi

PASSED

upgrade/luminous-x (nautilus)

https://pulpito.ceph.com/yuriw-2021-06-18 15:5
4:57-upgrade:luminous-x-nautilus-distro-basic-s
mithi

PASSED

upgrade/mimic-x (nautilus)

03/13/2024

https://pulpito.ceph.com/yuriw-2021-06-18 15:5
5:30-upgrade:mimic-x-nautilus-distro-basic-smit

FAILED
Josh, Neha approved known #43048
https://pulpito.ceph.com/yuriw-2021-06-21_19:22:02-multimds-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:30:24-ceph-deploy-nautilus-distro-basic-mira
https://pulpito.ceph.com/yuriw-2021-06-18_15:30:24-ceph-deploy-nautilus-distro-basic-mira
https://pulpito.ceph.com/teuthology-2021-06-18_15:41:45-upgrade:client-upgrade-jewel-nautilus-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-18_15:41:45-upgrade:client-upgrade-jewel-nautilus-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-18_15:41:45-upgrade:client-upgrade-jewel-nautilus-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-22_16:11:44-upgrade:client-upgrade-jewel-nautilus-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_16:11:44-upgrade:client-upgrade-jewel-nautilus-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_16:11:44-upgrade:client-upgrade-jewel-nautilus-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-18_15:42:20-upgrade:client-upgrade-mimic-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-18_15:42:20-upgrade:client-upgrade-mimic-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-18_15:42:20-upgrade:client-upgrade-mimic-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-22_16:12:14-upgrade:client-upgrade-mimic-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_16:12:14-upgrade:client-upgrade-mimic-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_16:12:14-upgrade:client-upgrade-mimic-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-18_15:48:14-upgrade:client-upgrade-luminous-nautilus-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-18_15:48:14-upgrade:client-upgrade-luminous-nautilus-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-18_15:48:14-upgrade:client-upgrade-luminous-nautilus-nautilus-distro-basic-gibba
https://pulpito.ceph.com/teuthology-2021-06-22_15:37:17-upgrade:client-upgrade-luminous-nautilus-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_15:37:17-upgrade:client-upgrade-luminous-nautilus-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_15:37:17-upgrade:client-upgrade-luminous-nautilus-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-21_19:28:41-upgrade-clients:client-upgrade-nautilus-octopus-octopus-distro-basic-gibba/
https://pulpito.ceph.com/teuthology-2021-06-21_19:28:41-upgrade-clients:client-upgrade-nautilus-octopus-octopus-distro-basic-gibba/
https://pulpito.ceph.com/teuthology-2021-06-21_19:28:41-upgrade-clients:client-upgrade-nautilus-octopus-octopus-distro-basic-gibba/
https://pulpito.ceph.com/teuthology-2021-06-22_15:38:30-upgrade-clients:client-upgrade-nautilus-octopus-octopus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_15:38:30-upgrade-clients:client-upgrade-nautilus-octopus-octopus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-22_15:38:30-upgrade-clients:client-upgrade-nautilus-octopus-octopus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-18_15:51:34-upgrade:nautilus-p2p-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-18_15:51:34-upgrade:nautilus-p2p-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-18_15:51:34-upgrade:nautilus-p2p-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:53:52-powercycle-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:53:52-powercycle-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:56:07-ceph-ansible-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:56:07-ceph-ansible-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:54:57-upgrade:luminous-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:54:57-upgrade:luminous-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:54:57-upgrade:luminous-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:55:30-upgrade:mimic-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-18_15:55:30-upgrade:mimic-x-nautilus-distro-basic-smithi
https://tracker.ceph.com/issues/43048

hi

https://pulpito.ceph.com/yuriw-2021-06-21_19:3
1:02-upgrade:mimic-x-nautilus-distro-basic-smit
hi

upgrade/nautilus-x (octopus)

https://pulpito.ceph.com/teuthology-2021-06-18

15:58:34-upgrade:nautilus-x-octopus-distro-ba
sic-smithi/

FAILED #51208 Yuri, Casey approved , due
to lack of backport of #50415 on octopus

upgrade/nautilus-x (pacific)

https://pulpito.ceph.com/teuthology-2021-06-26
_14:23:01-upgrade:nautilus-x-pacific-distro-basi
c-smithi/

FAILED #51208 Yuri, Casey approved , due
to lack of backport of #50415 on pacific (?)

ceph-volume

https://jenkins.ceph.com/job/ceph-volume-test/4
66/

PASSED Guillaume approved
https://jenkins.ceph.com/job/ceph-volume-test/b
uild?delay=0sec

must use CEPH_ANSIBLE_BRANCH =
stable-4.0

https://jenkins.ceph.com/job/ceph-volume-test/4
71/

Guillaume's run after a fix

PASSED / FAILED

03/13/2024
https://pulpito.ceph.com/yuriw-2021-06-18_15:55:30-upgrade:mimic-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:31:02-upgrade:mimic-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:31:02-upgrade:mimic-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/yuriw-2021-06-21_19:31:02-upgrade:mimic-x-nautilus-distro-basic-smithi
https://pulpito.ceph.com/teuthology-2021-06-18_15:58:34-upgrade:nautilus-x-octopus-distro-basic-smithi/
https://pulpito.ceph.com/teuthology-2021-06-18_15:58:34-upgrade:nautilus-x-octopus-distro-basic-smithi/
https://pulpito.ceph.com/teuthology-2021-06-18_15:58:34-upgrade:nautilus-x-octopus-distro-basic-smithi/
https://tracker.ceph.com/issues/51208
https://tracker.ceph.com/issues/50415
https://pulpito.ceph.com/teuthology-2021-06-26_14:23:01-upgrade:nautilus-x-pacific-distro-basic-smithi/
https://pulpito.ceph.com/teuthology-2021-06-26_14:23:01-upgrade:nautilus-x-pacific-distro-basic-smithi/
https://pulpito.ceph.com/teuthology-2021-06-26_14:23:01-upgrade:nautilus-x-pacific-distro-basic-smithi/
https://tracker.ceph.com/issues/51208
https://tracker.ceph.com/issues/50415
https://jenkins.ceph.com/job/ceph-volume-test/466/
https://jenkins.ceph.com/job/ceph-volume-test/466/
https://jenkins.ceph.com/job/ceph-volume-test/build?delay=0sec
https://jenkins.ceph.com/job/ceph-volume-test/build?delay=0sec
https://jenkins.ceph.com/job/ceph-volume-test/471/
https://jenkins.ceph.com/job/ceph-volume-test/471/
http://www.tcpdf.org

